# Uses of Enum
com.fasterxml.jackson.core.Base64Variant.PaddingReadBehaviour

Packages that use Base64Variant.PaddingReadBehaviour
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.

## Uses of Base64Variant.PaddingReadBehaviour in com.fasterxml.jackson.core

Methods in com.fasterxml.jackson.core that return Base64Variant.PaddingReadBehaviour
Modifier and Type
Method
Description
`Base64Variant.PaddingReadBehaviour`
Base64Variant.`paddingReadBehaviour()`
`static Base64Variant.PaddingReadBehaviour`
Base64Variant.PaddingReadBehaviour.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Base64Variant.PaddingReadBehaviour[]`
Base64Variant.PaddingReadBehaviour.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.fasterxml.jackson.core with parameters of type Base64Variant.PaddingReadBehaviour
Modifier and Type
Method
Description
`Base64Variant`
Base64Variant.`withReadPadding(Base64Variant.PaddingReadBehaviour readPadding)`